Package com.xebialabs.xlrelease.domain.udm.reporting

## Class ItsmRecord

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.facet.Facet
    - - com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
      - - com.xebialabs.xlrelease.domain.udm.reporting.ItsmRecord

- All Implemented Interfaces:
    `ConfigurationItem`, `VisitableItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      @Metadata(label="ITSM",
                description="Unified Data Model for ITSM")
      public class ItsmRecord
      extends TaskReportingRecord

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `CONFIGURATION_URI, scope`

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ItsmRecord()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCreatedBy()` |
    `java.lang.String` | `getPriority()` |
    `java.lang.String` | `getRecord()` |
    `java.lang.String` | `getRecord_url()` |
    `java.lang.String` | `getStatus()` |
    `java.lang.String` | `getTitle()` |
    `void` | `setCreatedBy​(java.lang.String createdBy)` |
    `void` | `setPriority​(java.lang.String priority)` |
    `void` | `setRecord​(java.lang.String record)` |
    `void` | `setRecord_url​(java.lang.String record_url)` |
    `void` | `setStatus​(java.lang.String status)` |
    `void` | `setTitle​(java.lang.String title)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

      `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

      `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ItsmRecord

          public ItsmRecord()

  - ### Method Detail

    - #### getRecord

          public java.lang.String getRecord()

    - #### setRecord

          public void setRecord​(java.lang.String record)

    - #### getRecord_url

          public java.lang.String getRecord_url()

    - #### setRecord_url

          public void setRecord_url​(java.lang.String record_url)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus​(java.lang.String status)

    - #### getPriority

          public java.lang.String getPriority()

    - #### setPriority

          public void setPriority​(java.lang.String priority)

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

    - #### setCreatedBy

          public void setCreatedBy​(java.lang.String createdBy)